LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
DatabaseEnvironment Service Referencepublished

`import"DatabaseEnvironment.idl";`

Inheritance diagram for DatabaseEnvironment:

## Exported Interfaces
interface | XDatabaseEnvironment
interface | com::sun::star::beans::XPropertySet

## Public Attributes
com::sun::star::util::XNumberFormatsSupplier | NumberFormatsSupplier
| provides an object for formatting numbers. More...

## Additional Inherited Members
Public Member Functions inherited from XDatabaseEnvironment
XDatabaseAccess | getDatabaseAccess ([in]string URL) raises (com::sun::star::sdbc::SQLException)
XDatabaseAccess | createDatabaseAccess ([in]string URL, [in]string title) raises (com::sun::star::sdbc::SQLException)
Public Member Functions inherited from XDriverManager
XConnection | getConnection ([in]string url) raises (SQLException)
| attempts to establish a connection to the given database URL. More...
XConnection | getConnectionWithInfo ([in]string url, [in]sequence< com::sun::star::beans::PropertyValue > info) raises (SQLException)
| attempts to establish a connection to the given database URL. More...
void | setLoginTimeout ([in]long seconds)
| sets the maximum time in seconds that a driver will wait while attempting to connect to a database. More...
long | getLoginTimeout ()
| gets the maximum time in seconds that a driver can wait when attempting to login to a database. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...

## Detailed Description

Deprecated:
  is the top level service for accessing database components.

It enables the service user to establish connections to databases or to use database access beans to gain access to database components. This service takes control over all other database services.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ XDatabaseEnvironment

interface XDatabaseEnvironment

## Member Data Documentation

## ◆ NumberFormatsSupplier

com::sun::star::util::XNumberFormatsSupplier NumberFormatsSupplier
| property readonly

provides an object for formatting numbers.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/DatabaseEnvironment.idl